import type { Token } from "../token";
import { Bridge } from "../bridge/bridge";
import type { BigNumberish } from "@ethersproject/bignumber";
import type { ContractTransaction } from "@ethersproject/contracts";
declare function useCalculateBridgeSwapOutput(args: {
    ethereum: any;
    chainId: number;
    tokenFrom: Token;
    tokenTo: Token;
    amountFrom: BigNumberish;
    chainIdTo: number;
}): readonly [() => void, Bridge.BridgeOutputEstimate];
declare function useExecuteBridgeSwap(args: {
    ethereum: any;
    chainId: number;
    tokenFrom: Token;
    tokenTo: Token;
    amountFrom: BigNumberish;
    amountTo: BigNumberish;
    chainIdTo: number;
    addressTo?: string;
}): readonly [() => void, ContractTransaction];
declare function useApproveBridgeSwap(args: {
    ethereum: any;
    chainId: number;
    token: Token;
    amount?: BigNumberish;
}): readonly [() => void, ContractTransaction, boolean];
declare function useBridgeAllowance(args: {
    ethereum: any;
    chainId: number;
    token: Token;
}): readonly [import("@ethersproject/bignumber").BigNumber];
declare function useNeedsBridgeSwapApproval(args: {
    ethereum: any;
    chainId: number;
    token: Token;
    amount: BigNumberish;
}): readonly [boolean, import("@ethersproject/bignumber").BigNumber];
declare function useBridgeSwapApproval(args: {
    ethereum: any;
    chainId: number;
    token: Token;
    amount: BigNumberish;
}): {
    readonly needsApprove: boolean;
    readonly allowance: import("@ethersproject/bignumber").BigNumber;
    readonly execApprove: () => void;
    readonly approveTx: ContractTransaction;
    readonly approveStatus: boolean;
};
export { useApproveBridgeSwap, useExecuteBridgeSwap, useCalculateBridgeSwapOutput, useBridgeAllowance, useNeedsBridgeSwapApproval, useBridgeSwapApproval };
